Package com.arms.api.requirement.reqstatus.controller

## Class ReqStatusController

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController<ReqStatus,​ReqStatusDTO,​ReqStatusEntity>
  - - com.arms.api.requirement.reqstatus.controller.ReqStatusController

-     @Controller
      @RequestMapping("/arms/reqStatus")
      public class ReqStatusController
      extends TreeAbstractController<ReqStatus,​ReqStatusDTO,​ReqStatusEntity>

- - ### Field Summary

    - ### Fields inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `chat, modelMapper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReqStatusController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<AlmIssue>>>` | `getDeletedIssueList​(java.lang.String changeReqTableName, java.util.List<java.lang.Long> pdServiceVersionLinks)` |
    `org.springframework.web.servlet.ModelAndView` | `getPdRelatedReqStats​(java.lang.String changeReqTableName, ReqStatusDTO reqStatusDTO, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.web.servlet.ModelAndView` | `getPdReqStats​(java.lang.String changeReqTableName, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<IssueListVO>>>` | `getReqAndInvolvedIssueList​(java.lang.String changeReqTableName, java.util.List<java.lang.Long> pdServiceVersionLinks)` |
    `org.springframework.web.servlet.ModelAndView` | `getReqAndReqIssueAndLinkedIssue​(java.lang.String changeReqTableName, ReqStatusDTO reqStatusDTO, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.http.ResponseEntity<ReqStatusDashboardVO>` | `getReqStatusDashboard​(java.lang.String changeReqTableName, RequirementDTO requirementDTO)` |
    `org.springframework.http.ResponseEntity<java.util.List<ReqStatusEntity>>` | `getReqStatusListByCReqLink​(java.lang.String changeReqTableName, ReqStatusDTO reqStatusDTO, org.springframework.ui.ModelMap model, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.web.servlet.ModelAndView` | `getStatistics​(java.lang.String changeReqTableName, ReqStatusDTO reqStatusDTO, org.springframework.ui.ModelMap model, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.web.servlet.ModelAndView` | `getStatusMonitor​(java.lang.String changeReqTableName, ReqStatusDTO reqStatusDTO, org.springframework.ui.ModelMap model, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.http.ResponseEntity<java.util.List<ReqStatusEntity>>` | `getStatusNode​(java.lang.String changeReqTableName, ReqStatusDTO reqStatusDTO, org.springframework.ui.ModelMap model, javax.servlet.http.HttpServletRequest request)` |
    `void` | `initialize()` |
    `org.springframework.http.ResponseEntity<java.util.List<AlmIssue>>` | `issueListByOverallUpdatedDate​(RequirementDTO requirementDTO)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<HierarchicalAlmIssue>>>` | `issueListByUpdated​(java.lang.String changeReqTableName, java.util.List<java.lang.Long> pdServiceVersionLinks)` |
    `org.springframework.http.ResponseEntity<java.util.List<AlmIssue>>` | `issueListByUpdated2ndTab​(RequirementDTO requirementDTO)` |
    `org.springframework.http.ResponseEntity<java.util.List<AlmIssue>>` | `issueListByUpdatedDate​(RequirementDTO requirementDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `removeReqStatusNode​(java.lang.String changeReqTableName, ReqStatusDTO reqStatusDTO)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<HierarchicalAlmIssue>>>` | `subtasksAndLinkedIssues​(SubtaskAndLinkedIssuesRequestDTO requestDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `요구사항_상태_정보_저장하기​(java.lang.String changeReqTableName, ReqStatusDTO reqStatusDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `요구사항_상태_확인후_ALM처리_및_REQSTATUS_업데이트​(java.lang.String changeReqTableName, ReqStatusDTO reqStatusDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `요구사항_상황_수정하기​(java.lang.String changeReqTableName, ReqStatusDTO reqStatusDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `요구사항_이슈_묶음_조회​(java.lang.String changeReqTableName, ReqStatusDTO reqStatusDTO, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.http.ResponseEntity<?>` | `이슈삭제_철회​(java.util.List<AlmIssue> AlmIssue)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `addNode, alterNode, alterNodeType, analyzeNode, getChildNode, getMonitor, getNode, getNodesWithoutRoot, getPaginatedChildNode, moveNode, removeNode, searchNode, sendMessage, setJsonDefaultSetting, setTreeEntity, setTreeService, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReqStatusController

          public ReqStatusController()

  - ### Method Detail

    - #### initialize

          @PostConstruct
          public void initialize()

    - #### 요구사항_상태_정보_저장하기

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/addStatusNode.do",
                          method=POST)
          public org.springframework.http.ResponseEntity<?> 요구사항_상태_정보_저장하기​(@PathVariable("changeReqTableName")
                                                                            java.lang.String changeReqTableName,
                                                                            @RequestBody
                                                                            ReqStatusDTO reqStatusDTO)
                                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getStatusMonitor

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/getStatusMonitor.do",
                          method=GET)
          public org.springframework.web.servlet.ModelAndView getStatusMonitor​(@PathVariable("changeReqTableName")
                                                                               java.lang.String changeReqTableName,
                                                                               ReqStatusDTO reqStatusDTO,
                                                                               org.springframework.ui.ModelMap model,
                                                                               javax.servlet.http.HttpServletRequest request)
                                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getReqAndInvolvedIssueList

          @GetMapping("/{changeReqTableName}/reqAndInvolvedIssueList")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<IssueListVO>>> getReqAndInvolvedIssueList​(@PathVariable("changeReqTableName")
                                                                                                                                           java.lang.String changeReqTableName,
                                                                                                                                           @RequestParam("pdServiceVersionLinks")
                                                                                                                                           java.util.List<java.lang.Long> pdServiceVersionLinks)
                                                                                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getDeletedIssueList

          @GetMapping("/{changeReqTableName}/deletedIssueList")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<AlmIssue>>> getDeletedIssueList​(@PathVariable("changeReqTableName")
                                                                                                                                 java.lang.String changeReqTableName,
                                                                                                                                 @RequestParam("pdServiceVersionLinks")
                                                                                                                                 java.util.List<java.lang.Long> pdServiceVersionLinks)
                                                                                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### 이슈삭제_철회

          @ResponseBody
          @RequestMapping(value="/deleteWithdrawal.do",
                          method=PUT)
          public org.springframework.http.ResponseEntity<?> 이슈삭제_철회​(@RequestBody
                                                                    java.util.List<AlmIssue> AlmIssue)
                                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### 요구사항_상황_수정하기

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/updateStatusNode.do",
                          method=PUT)
          public org.springframework.http.ResponseEntity<?> 요구사항_상황_수정하기​(@PathVariable("changeReqTableName")
                                                                         java.lang.String changeReqTableName,
                                                                         @RequestBody
                                                                         ReqStatusDTO reqStatusDTO)
                                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getStatistics

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/getStatistics.do",
                          method=GET)
          public org.springframework.web.servlet.ModelAndView getStatistics​(@PathVariable("changeReqTableName")
                                                                            java.lang.String changeReqTableName,
                                                                            ReqStatusDTO reqStatusDTO,
                                                                            org.springframework.ui.ModelMap model,
                                                                            javax.servlet.http.HttpServletRequest request)
                                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### 요구사항_이슈_묶음_조회

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/reqIssues-created-together.do",
                          method=GET)
          public org.springframework.http.ResponseEntity<?> 요구사항_이슈_묶음_조회​(@PathVariable("changeReqTableName")
                                                                          java.lang.String changeReqTableName,
                                                                          ReqStatusDTO reqStatusDTO,
                                                                          javax.servlet.http.HttpServletRequest request)

    - #### getReqAndReqIssueAndLinkedIssue

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/getReqAndReqIssueAndLinkedIssue.do",
                          method=GET)
          public org.springframework.web.servlet.ModelAndView getReqAndReqIssueAndLinkedIssue​(@PathVariable("changeReqTableName")
                                                                                              java.lang.String changeReqTableName,
                                                                                              ReqStatusDTO reqStatusDTO,
                                                                                              javax.servlet.http.HttpServletRequest request)
                                                                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getPdReqStats

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/getPdReqStats.do",
                          method=GET)
          public org.springframework.web.servlet.ModelAndView getPdReqStats​(@PathVariable("changeReqTableName")
                                                                            java.lang.String changeReqTableName,
                                                                            javax.servlet.http.HttpServletRequest request)

    - #### getPdRelatedReqStats

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/getPdRelatedReqStats.do",
                          method=GET)
          public org.springframework.web.servlet.ModelAndView getPdRelatedReqStats​(@PathVariable("changeReqTableName")
                                                                                   java.lang.String changeReqTableName,
                                                                                   ReqStatusDTO reqStatusDTO,
                                                                                   javax.servlet.http.HttpServletRequest request)
                                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getReqStatusListByCReqLink

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/getReqStatusListByCReqLink.do",
                          method=GET)
          public org.springframework.http.ResponseEntity<java.util.List<ReqStatusEntity>> getReqStatusListByCReqLink​(@PathVariable("changeReqTableName")
                                                                                                                     java.lang.String changeReqTableName,
                                                                                                                     ReqStatusDTO reqStatusDTO,
                                                                                                                     org.springframework.ui.ModelMap model,
                                                                                                                     javax.servlet.http.HttpServletRequest request)
                                                                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getStatusNode

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/getStatusNode.do",
                          method=GET)
          public org.springframework.http.ResponseEntity<java.util.List<ReqStatusEntity>> getStatusNode​(@PathVariable("changeReqTableName")
                                                                                                        java.lang.String changeReqTableName,
                                                                                                        ReqStatusDTO reqStatusDTO,
                                                                                                        org.springframework.ui.ModelMap model,
                                                                                                        javax.servlet.http.HttpServletRequest request)
                                                                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### 요구사항_상태_확인후_ALM처리_및_REQSTATUS_업데이트

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/reqStatusCheckAfterAlmProcess.do",
                          method=POST)
          public org.springframework.http.ResponseEntity<?> 요구사항_상태_확인후_ALM처리_및_REQSTATUS_업데이트​(@PathVariable("changeReqTableName")
                                                                                               java.lang.String changeReqTableName,
                                                                                               @RequestBody
                                                                                               ReqStatusDTO reqStatusDTO)
                                                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### removeReqStatusNode

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/removeNode.do",
                          method=DELETE)
          public org.springframework.http.ResponseEntity<?> removeReqStatusNode​(@PathVariable("changeReqTableName")
                                                                                java.lang.String changeReqTableName,
                                                                                @RequestBody
                                                                                ReqStatusDTO reqStatusDTO)
                                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### issueListByUpdatedDate

          @GetMapping("/issueListByUpdatedDate")
          public org.springframework.http.ResponseEntity<java.util.List<AlmIssue>> issueListByUpdatedDate​(RequirementDTO requirementDTO)

    - #### issueListByUpdated2ndTab

          @GetMapping("/issue-list-by-updated-2nd")
          public org.springframework.http.ResponseEntity<java.util.List<AlmIssue>> issueListByUpdated2ndTab​(RequirementDTO requirementDTO)

    - #### issueListByUpdated

          @GetMapping("/{changeReqTableName}/issue-list-by-updated")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<HierarchicalAlmIssue>>> issueListByUpdated​(@PathVariable("changeReqTableName")
                                                                                                                                            java.lang.String changeReqTableName,
                                                                                                                                            @RequestParam("pdServiceVersionLinks")
                                                                                                                                            java.util.List<java.lang.Long> pdServiceVersionLinks)
                                                                                                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### subtasksAndLinkedIssues

          @PostMapping("/subtasks-and-linked-issues")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<HierarchicalAlmIssue>>> subtasksAndLinkedIssues​(@RequestBody
                                                                                                                                                 SubtaskAndLinkedIssuesRequestDTO requestDTO)
                                                                                                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### issueListByOverallUpdatedDate

          @GetMapping("/issueListByOverallUpdatedDate")
          public org.springframework.http.ResponseEntity<java.util.List<AlmIssue>> issueListByOverallUpdatedDate​(RequirementDTO requirementDTO)

    - #### getReqStatusDashboard

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/reqStatus-dashboard",
                          method=GET)
          public org.springframework.http.ResponseEntity<ReqStatusDashboardVO> getReqStatusDashboard​(@PathVariable("changeReqTableName")
                                                                                                     java.lang.String changeReqTableName,
                                                                                                     RequirementDTO requirementDTO)
                                                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`